"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.shouldPolyfill = void 0;
/**
 * Check if a formatting number with unit is supported
 * @public
 * @param unit unit to check
 */
function isUnitSupported(unit) {
    try {
        new Intl.NumberFormat(undefined, {
            style: 'unit',
            // @ts-ignore
            unit: unit,
        });
    }
    catch (e) {
        return false;
    }
    return true;
}
function shouldPolyfill() {
    return (typeof Intl === 'undefined' ||
        !('NumberFormat' in Intl) ||
        !isUnitSupported('bit'));
}
exports.shouldPolyfill = shouldPolyfill;
